a=int(input())
b=0
c=list()
d=0
m=0
for i in range(a):
    d=int(input())
    c.append(d)
for j in range(a):
    d=c[j]
    if d!=len(c)-d:
        c.pop(d)
        c.insert(len(c),d)
        b+=1
print(b)